> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Skin Analyze Advanced

> Skin Analyze Advanced API detects skin type, tone, eye bags, dark circles, wrinkles, acne, spots, and other skin conditions.



## OpenAPI

````yaml /docs/openapi.json post /api/portrait/analysis/skin-analysis-advanced
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/portrait/analysis/skin-analysis-advanced:
    post:
      tags:
        - AI PORTRAIT > Portrait Analysis
      summary: Skin Analyze Advanced
      description: >-
        Skin Analyze Advanced API detects skin type, tone, eye bags, dark
        circles, wrinkles, acne, spots, and other skin conditions.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                image:
                  type: string
                  format: binary
                  description: Main Image.
                face_quality_control:
                  type: string
                  description: >-
                    Whether to restrict the quality of faces in incoming
                    images. 

                    - `0`: No face quality control is performed, and skin
                    measurement results are returned as long as the face can be
                    detected. 

                    - `1`: Perform face quality control, if the face quality
                    does not pass it will prompt an error.
                return_rect_confidence:
                  type: string
                  description: >-
                    The confidence level of the area whether to return acne,
                    occlusion, blemishes and moles. 

                    - `0`: No regional confidence is returned. 

                    - `1`: Returns the regional confidence.
                return_maps:
                  type: string
                  description: >-
                    Enter a comma-separated string containing the type of skin
                    chromatography image to be returned.
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                request_id: ''
                log_id: ''
                error_detail:
                  code: ''
                  code_message: ''
                  message: ''
                warning: []
                face_rectangle:
                  top: 0
                  left: 0
                  width: 0
                  height: 0
                result:
                  skin_color:
                    value: 0
                    confidence: 0.89
                  skin_age:
                    value: 9
                  left_eyelids:
                    value: 0
                    confidence: 0.89
                  right_eyelids:
                    value: 0
                    confidence: 0.89
                  eye_pouch:
                    value: 0
                    confidence: 0.89
                  dark_circle:
                    value: 0
                    confidence: 0.89
                  forehead_wrinkle:
                    value: 0
                    confidence: 0.89
                  crows_feet:
                    value: 0
                    confidence: 0.89
                  eye_finelines:
                    value: 0
                    confidence: 0.89
                  glabella_wrinkle:
                    value: 0
                    confidence: 0.89
                  nasolabial_fold:
                    value: 0
                    confidence: 0.89
                  skin_type:
                    skin_type: 0
                    details:
                      '0':
                        value: 1
                        confidence: 0.89
                      '1':
                        value: 1
                        confidence: 0.89
                      '2':
                        value: 0
                        confidence: 0.01
                      '3':
                        value: 0
                        confidence: 0.01
                  pores_forehead:
                    value: 0
                    confidence: 1
                  pores_left_cheek:
                    value: 0
                    confidence: 1
                  pores_right_cheek:
                    value: 0
                    confidence: 1
                  pores_jaw:
                    value: 0
                    confidence: 1
                  blackhead:
                    value: 0
                    confidence: 1
                  acne:
                    rectangle:
                      - width: 3
                        top: 17
                        height: 1
                        left: 35
                      - width: 4
                        top: 20
                        height: 1
                        left: 35
                  closed_comedones:
                    rectangle:
                      - width: 3
                        top: 17
                        height: 1
                        left: 35
                      - width: 4
                        top: 20
                        height: 1
                        left: 35
                  mole:
                    rectangle:
                      - width: 3
                        top: 17
                        height: 1
                        left: 35
                      - width: 4
                        top: 20
                        height: 1
                        left: 35
                  skin_spot:
                    rectangle:
                      - width: 3
                        top: 17
                        height: 1
                        left: 35
                      - width: 4
                        top: 20
                        height: 1
                        left: 35
          description: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````